<?php
#This page gathers the name so that we can write an NDA on the next page.
require("includes/.htconfig.php");
$menues="<FORM action=$script method=post>";
$menues.="\n<INPUT type=submit name=command value=debuggery>";
$menues.="\n<INPUT type=submit name=command value='show log'>";
$menues.="\n<INPUT type=submit name=command value=session>";
$menues.="\n<INPUT type=submit name=command value='kill session'>";
$menues.="\n<INPUT type=submit name=command value=info>";
$menues.="\n</FORM>";
echo $menues;
echo "<HR>";
if (array_key_exists("command",$_REQUEST))
switch ($_REQUEST["command"])
{
  case "debuggery":
    echo "<PRE>";
    readfile(DEBUGGERY);
    echo "</PRE>";
    break;
  case "show log":
    echo "<PRE>";
    readfile(LOGFILENAME);
    echo "</PRE>";
    break;
  case "session":
    echo "<PRE>";
    readfile(SESSIONFILE);
    echo "</PRE>";
    foreach($_SESSION as $_key=>$_value) echo "<BR>$_key=>$_value";
    break;
  case "kill session":
    $_SESSION = array();
    setcookie ("PHPSESSID", "", time() - 3600);
    session_destroy();
    break;
  case "info":
    phpinfo();
    break;
  default:
}
echo $menues;
?>